  Список изменений 6.0 - 6.1

1) Бэкап базы данных теперь не сохраняется на хосте, а отправляется на e-mail, указанный в админке -> общие настройки
2) Появилась возможность установки web тем оформления. Также появился раздельный выбор тем для web и для wap браузера
3) Появилась возможность писать гостям в гостевой книге (опционально, управляется из админки)
4) Исправлено шифрование cookie. Установлен другой алгоритм шифрования с использованием вектора шифрования, который хранится в sys/dat/settings.dat
5) Полностью переписана библиотека. Теперь тексты статей хранятся в файтах *.txt.gz. При этом для огранизации структуры библиотеки используется MySQL.
6) Добавлена функция определения mime типа файла по расшерению (Используется .htaccess из корня сайта) для правильного определения типа файла при скачивании из загруз-центра.
7) Закрыт прямой доступ к папке sys/loads/files/ (скриншоты теперь также выдаются скриптом по символическому пути).
8) Убрано использование функции str_ireplace, используемая в файле sys/fnc/smiles.php, которая работает только в php5
9) Добавлена статистика по рефералам (админка -> рефералы)


  Список изменений 6.1 - 6.2

1) Добавлена страница со смайлами. Также добавле обратный переход со страницы с правилами.
2) Изменено восстановление пароля.
Теперь при вводе ника и e-mail вместо немедленной генерации и установки нового пароля на e-mail отправляется ссылка для установки нового пароля.
Это позволяет избежать смены пароля сторонними лицами, которые знают Ваш e-mail
3) Добавлен рейтинг к файлам на форуме.
4) Добавлена система сверки таблиц (при отсутствии какой либо таблицы в базе она создается автоматически)
В "холостом" режиме на время генерации страницы влияет незначительно
5) Теперь WEB тема по умолчанию входит в состав движка.
6) Переписан installer.
Создание таблиц происходит при помощи файла ver_tables.php, который записывает только отсутствующие таблицы.
7) Добавлена папка sys/add/umenu/ из которой будут подгружаться дополнительные пункты пользовательского меню
8) Добавлена папка sys/add/info/ из которой будут подгружаться дополнительные пункты анкеты
9) Добавлена фотогалерея
10) функция imagecopyresized заменена функцией imagecopyresampled, которая изменяет размер изображения со сглаживанием (относится к загруз центру, обменнику и фотогалерее)
11) исправлен баг: в новых темах форума показывались темы из подфорума администрации простым пользователям
12) добавлены комментарии в файлобменнике
13) Папки в библиотеке переведены на транслит (убрано использование русских символов в пути)
14) Исправлен косяк с добавлением сообщения через браузер "Mozilla Firefox"
15) В тестовом режиме добавлена функция изменения разрешения gif-анимации.
Увидеть ее действие можно при добавлении аватара.



6.2.4
Добавлена система авторизации для приватных сообщений. (включить можно в личных настройках) введено для тестирования
Для видео теперь генерируются анимированные скриншоты с копирайтом. (по умолчанию 6 кадров из разных частей видео)
CAPTCHA (проверочный код) теперь генерируется с использованием алгоритма MultiWave (нелинейные искажения)
Также проверочный код добавлен к процедуре регистрации
Интегрирована регистрация рейтинга сайтов o5top.ru в админку
Добавлен отсутствующий файл sys/fnc/ban_ip.php который собственно и должен был закрывать доступ с забаненых ip адресов
Изменен показ IP и UA (особенно заметно для Opera Mini)
Добавлено редактирование IP диапазонов операторов связи
Пополнена база IP диапазонов. (теперь 346 записей)
Добавлена промежуточная страница перед переходом на другой сайт. Предотвращает передачу сессии через REFERER
Добавлена проверка на mod_rewrite при установке движка
Введена проверка на количество частых запросов с одного ip с автоматическим баном. (antidos)

6.2.5
Исправлен вывод новых тем в форуме

6.2.6
Исправлена функция downloadFile. Теперь перед посылкой файла производится очистка буфера вывода
Изменены параметры antidos, который легко блокировал IP адрес, если у пользователя скоростной интернет
Появилась возможность ограничивать скачивание файлов для гостей и для пользователей
Экспериментально введена проверка на КПК и коммуникаторы. Для них теперь выводятся wap темы

6.2.7
Исправлен вывод скриншотов и ссылок в загруз-центре
В фотогалерее администраторам разрешено удалять чужие галереи
Изменена навигация в Админ-панели
(x)Исправлено редактирование чужих постов в форуме. Теперь оно доступно строго по уровню доступа. (т.е. модер не может изменить пост админа)
Добавлены теги keywords и description
Теперь темы оформления с точкой в названии успешно применяются
Исправлена функция delete_dir(). (В Windows каталог не удалялся полностью)
Появилась возможность управления темами оформления
Добавлена опция скрытия сайта от неавторизованых. (Всех гостей перекидывает на страницу авторизации)

6.2.8
Исправлено редактирование чужих постов в форуме. Теперь оно доступно строго по уровню доступа. (т.е. модер не может изменить пост админа)
Убрано экранирование символа "&" в ссылках (bbcode)
Исправлен показ капчи при закрытии сайта
К орудию администраторов добавилось еще одно: массовое удаление пользователей, давно не посещавших сайт
Исправлен листинг тем оформления в админке (на любой странице список тем начинался с 1)
Изменен листинг файлов и папок в библиотеке и в обменнике (теперь все папки и файлы сливаются в один массив, а уже затем подвергаются листингу)
Перестроена система подсчета файлов в загруз-центре. Теперь пересчет необходимо делать только после работы через FTP.
Счетчик новых файлов теперь работает в режиме on-line. За счет кэширования информации о файле в базе, нагрузка сводится к минимуму.
Окончательно решено отключить вывод ошибок интерпретатора (по умолчанию). Включить теперь можно в админке.
Добавлена сортировка в списке пользователей

6.3.0 STABLE
Исправлен вывод скриншотов для тем оформления nokia в загруз-центре. Также исправлено еще несколько мелких косяков
Добавлена генерация скриншота к темам SonyEricsson
Исправлена врезка meta информации в страницу, которая вызывала ошибку xml

6.3.1 STABLE 
Исправлено скачивание JAR при закрытом загруз-центре
Добавлено экранирование спец. символов в RSS. Ошибка проявлялась при добавлении новости с ссылкой, в которой содержался знак "&"
Стало возможным назначать сколько угодно банов одному пользователю. Нарушителю показывается весь список его нарушений с никами банивших.
Исправлено удаление пользователей. (У других пользователей менялся ID)
Загруз-центр: часть, отвечающая за вывод ссылок на скачивание выведена в отдельный файл для удобства редактирования
Внутренние ссылки теперь отображаются напрямую без переходной страницы. 

6.3.2
Исправлены ссылки путей в загруз-центре
Также исправлена синхонизация с базой при удалении / переименовании файлов
Изменена фильтрация спец-символов.
Для вставки php кода теперь нет необходимости обрамлять его bbcode [code].
Теперь корректно отображаются одинарные кавычки (критично для вставки php кода в сообщение).
Переписана фильтрация user-agent
Bbcode подведен к соответствию с xml
Ограниченние в баллах при выгрузке файла в обменник теперь настраивается в админке.
Наложение копирайта на изображения вынесено в отдельную функцию. Копирайт теперь масштабируется в зависимости от размера изображения.
Исправлены ошибки в управлении темами на форуме.
Сделано несколько шагов к улучшению библиотеки (до идеала еще далеко)
Рекламная площадка "низ сайта" разделена на две. Для главной и для остальных страниц сайта

6.3.3
Поправлена функция отправки e-mail (теперь явно указывается кодировка)
Добавлено экранирование спец. символов в новостях. Ошибка проявлялась при добавлении новости с ссылкой, в которой содержался знак "&"
Добавлен плеер для воспроизведения flv видео прямо на сайте. Работает в обменнике и загрузках (только для web тем).
исправлена ошибка с обработкой ссылок (в версии 6.3.2)

6.3.4
Добавлено кэширование данных пользователя. (позволяет избежать множественных повторяющихся запросов к MySQL).
Добавлено полноценное редактирование главного меню с возможностью выбора иконок.
Проигрыватель FLV заменен более функциональным

6.4.0 BETA
Код теперь полностью соответствует профилю XHTML Mobile Profile 1.0
Все переходы по внешним ссылкам теперь производятся только через переходную страницу, что позволяет избежать утечку сессии
Авторизация привата убрана до "лучших времен".
Экспериментально добавлена функция конвертирования видео (необходим ffmpeg и доступ к exec() ). НЕ ТЕСТИРОВАЛОСЬ!!!!
Добавлено редактирование тегов mp3.
Добавлена статистика посещений, которую можно посмотреть в админке в виде графиков.
Добавлен файл sys/dat/default_settings.dat в котором будут храниться переменные по умолчанию. Позволит избежать ошибок о необъявленных переменных.

6.4.1
Исправлена ошибка xml, возникающая при редактировании тегов mp3
При взаимном удалении контактов удяляются все сообщения
Исправлена регулярка, проверяющая правильность e-mail адреса
Запрещены выгрузка и аплоад файлов в корень загруз-центра
Поправлены все файлы .htaccess. Оставлено только то, что действительно необходимо для корректной работы движка
Исправлены ошибки при создании голосования

6.4.2
Админка пополнилась новой функцией "Синхронизация таблиц форума", которая позволяет оптимизировать таблицы форума
Полностью переписан installer (мастер установки движка)
Исправлен глюк, когда при установке движка выполнялись не все запросы
Теперь поддерживается только php 5 версии

6.4.3
Полностью переработан поиск по форуму.
В админке добавлен список забаненых пользователей.
Исправлено удаление фотографий при удалении прользователя
Генерация скриншотов теперь работает и под windows (с php-ffmpeg) http://dcms.su/forum/5/3/2869/
Повторяющийся код для вывода скринов к видео, который использует ffmpeg, теперь вынесен в отдельные файлы ff_*.php
Перед входом в админку теперь необходимо вводить проверочный код с картинки для того, чтобы избежать изменение параметров ботами или скриптами со сторонних сайтов.

6.5.0 BETA
Для пользователей лицензионных версий снятие копирайта теперь производится в автоматическом режиме.
Пользователи лицензионных версий теперь могут обращаться в службу поддержки dcms через админку.
Админка пополнилась возможностью изменять настройки фотогалереи, а именно: максимальную высоту и ширину выгружаемого фото.
В форуме появилась возможность скачивать темы в текстовом файле.
Ник при регистрации теперь проверяется регулярным выражением. Это избавит Вас от пользователей с нежелательными символами в никах.
Добавлена возможность создавать разделы в главном меню. (div class menu_razd).
Предприняты попытки исправить ситуацию с прохождением регистрации пользователям телефонов NOKIA.
Исправлен алгоритм удаления пользователей. Оставался невидимый мусор в базе данных.

6.5.1
Исправлен код активации лицензии.
В форуме добавлен список самых скачиваемых файлов.
Исправлен косяк с переменной в форуме. Неправильно отображалась дата последнего поста.
Для WEB темы добавлена отправка по Ctrl + Enter. (в обновлениях темы оформления не запаковываются)
На финальном этапе установки движка введена проверка на создание файла настроек.
Привилегии прав пользователей теперь распределены по группам.
В загруз - центре сделана сортировка файлов по времени добавления.
Шифрованый пароль в COOKIE теперь дополнительно обрабатывается функцией base64, чтобы избежать ошибок сервера.
При выходе из авторизации теперь полностью чистится вся информация сессии.
Админка пополнилась функцией изменения ника.
Статистика сайта в админке теперь более расширена и выводится в виде таблицы.
Для пользователей лицензионных версий теперь работает автоматическая установка тем с dcms.su
Пересчет файлов в загрузках теперь можно производить отдельными папками.
Для загруз-центра можно задать время, в течении которого файл считается новым (по умолчанию 24 часа).
Загруз-центр пополнился списком новых комментариев к файлам.
В общей информации теперь отображается свободное место на диске и общий объем.
В загруз-центре исправлена конвертация имен папок и файлов при создании (При использовании некоторых символов могли возникать проблемы при скачивании). Не распространяется при управлении загруз-центром по FTP.
При установке движка администратору теперь зачисляется 500 баллов.
Налажена работа всех функций библиотеки. Для восстановления поврежденной структуры папок в админку добавлен новый пункт "Восстановление библиотеки"

6.5.2
Добавлен забытый в попыхах копирайт.
Активирован забытый пункт "сведения о лицензии", которыи ее и активирует

6.5.3
Исправлено удаление тем в форуме.
Изменена система рейтинга пользователей. (все данные о рейтингах обнулятся при обновлении движка).
Изменение рейтинга в админке запрещено.
При пересчете файлов теперь можно полностью очищать список всех записей. (Решает проблему с повторяющимися записями)
Пользователи теперь могут видеть список пользователей, оставивших положительный рейтинг.
В закрытой теме администрация теперь переходит в анкету пользователя при нажатии на ник.
Обновлены сведения для получения лицензии.
Исправлена ссылка, отменяющая приватное сообщение в чате.
Исправлен код обработки ссылок.
В анкету пользователя добавлен пункт "Посещаемые сайты:" на основании REFERER.
Исправлен список администрации в админке. (Показывались пользователи).
Исправлено редактирование разделов меню.
Исправлен баг, заключающийся в невозможности восстановить пароль, если доступ к сайту открыт только авторизованным.

6.6.0
Произведена оптимизация функций. Основные, неизменяемые функции помещены в файл sys/inc/fnc.php, а функции, используемые только в конкетных модулях сайта помещены в папку sys/inc/ и вызываются только из нуждающихся модулей.
Переписан поиск по форуму. Темы теперь сортируются по релевантности.
Добавлена возможность изменения ников Умника и Шутника.
Появилась возможность добавлять в чат шутки и вопросы из админки.
Исправлено изменение пароля пользователя в админке.
Исправлено удаление фотоальбомов администрацией.

6.6.1
Исправлен поиск по форуму. Поиск не работал для пользователей, если существовали подфорумы для администрации.
Исправлен листинг страниц в поиске по форуму.
Закомментирована функция set_time_limit (файл adm_panel/loads_recount.php), препятствующая пересчету загрузок.
COOKIE сохраняются теперь только при согласии пользователя. (В форме авторизации появился пункт "Запомнить меня").
Запрещены выполнение и просмотр скриптов в папке style.
При установке темы из админки пропускаются все файлы, начинающиеся с точки. (особенно .htaccess)
Настройки по умолчанию теперь загружаются функцией parse_ini_file из файла sys/dat/default.ini
При установке движка отсутствующие функции (но без которых возможна работа движка) не подсвечиваются красным цветом.
Изменена система обновления движка. Удалены папки sys/sql_once и sys/sql_old. Вместо них добавлена папка sys/update из которой выполняются sql и php коды в автоматическом режиме один раз.
Длина ссылок в главном меню увеличена с 32 до 1024 символов.
Появилась возможность рапаковывать ZIP архивы в загруз-центре.
Урезаны таблицы Шуток и Вопросов до 500 строк. (пополнить можно из админки).
На этапе установки движка при совпадении таблиц теперь предлагается переименовать существующие таблицы.
Произведена большая работа по введению лога действий администрации.
Исправлено удаление комментариев в новостях.
Исправлен вывод скринов к видео, добавленных вручную.
Список контактов разделен на категории.
Реализованы системные уведомления о смене рейтинга, о комментариях к фото и файлам в обменнике.
Открыт показ отрицательных отзывов.
Усовершествован antidos. Теперь будет меньше ложных срабатываний.

6.6.2
Исправлено изменение пароля в личном кабинете и админке.
Оптимизирован запрос выборки новых сообщений.
Оптимизирован запрос выборки заклвдок с новыми сообщениями в форуме.

6.6.3
В меню пользователя вместо количества написавших пользователей, теперь выводится количество новых сообщений.
В настройки пользователя добавлен выбор режима добавления контактов.
Теперь можно предопределять темы только для WAP или только для WEB браузеров. (В папке с темой должны находиться файлы ".only_for_wap" или ".only_for_web" соответственно).
Добавлен модуль антимата, который делает три предупреждения, а затем банит невоспитанного пользователя.
Убрана возможность админ. составу изменять и удалять фотографии тех, кто старше его по уровню.
Исправлен запрос, выводящий список администрации в админке.
Исправлен вывод сообщений в чате.
Функция вставки картинок в сообщение теперь генерирует ссылку через дополнительную страницу, что исключает передачу сессии и других параметров.
Из админки теперь можно включать/отключать отдельные BBcode.
Добавлены ссылки в лог администрации (параметры темы).
Результаты поиска по форуму теперь выводятся без обработки ссылок. Это исключает xml ошибки.
Обновлена библиотека wappc.biz. (В настройках необходимо указать технический пароль)

6.6.4
Исправлена проверка кода с картинки в привате.
Исправлен путь к временной папке в библиотеке wappc.biz


6.6.5 (перенесено в 6.7.0)


6.7.0
Уменьшена библиотека PEAR.
Упрощена страница с выводом ошибок (err.php).
При отсутствии библиотеки Iconv на сервере, возможна работа с mbstring.
функция strlen2 заменена на utf8_strlen, которая использует mbstring или Iconv.
Добавлен выбор сортировки файлов в загруз-центре. Папки всегда сортируются по имени.
В загрузках реализовано кэширование содержимого папок.
Изменен алгоритм вывода скриншотов, размер скриншотов теперь зависит от типа браузера. (от 128 до 480 пикс.)
Исправлен листинг страниц в просмотре лога действий администрации
Исправлена переадресация в функциях only_reg() и only_unreg();
Все POSIX - функции заменены PERL - функциями, также код избавлен от устаревших (Deprecated) функций для совместимости с PHP 5.3
Оптимизирован код извлечения иконок из jar-приложений.
Организована корректная работа с файлами и папками, в названии которых присутствуют символы русского алфавита.
Размер иконок в загрузках теперь зависит от типа файла и возможности отображения уменьшенного скриншота.
Во избежание повторной отправки сообщения при обновлении страницы в привате, добавлена информационная страница с редиректом.
Все скриншоты из загруз центра теперь сохраняются прямо в папку "sys/loads/screens/".
На уменьшенное изображение в списке файлов (загрузки и обменник) теперь накладывается иконка, указывающая тип файла (по типу Win7).
Изменен листинг ТОП 20 файлов форума.
Исправлено удаление комментариев в обменнике при удалении пользователя.
Исправлено удаление разделов и тем в форуме (теперь циклически удаляются и прикрепленные к сообщениям файлы, а также удаляются данные о голосовании за файл).
Для проверки названий тем, разделов и подфорумов в форуме теперь используются регулярные выражения.
При регистрации разрешается использовать символы только русского или только английского алфавита.
Для тем оформления: решено отказаться от файлов them.name и only_for_*. Вместо них теперь должен присутствовать конфигурационный файл config.ini
Перед установкой темы оформления теперь отображается информация о ней, а также проверяется совместимость с текущей версией движка.
Исправлена ошибка, позволяющая любому желающему удалить/переименовать любое фото из фотогалереи.
Код удаления пользователя вынесен в отдельную функцию, дополнен и оптимизирован.
Переписаны с целью оптимизации алгоритмы извлечения скриншотов из тем оформления к телефонам SE и Nokia.
Добавлена функция извлечения скриншотов к темам оформления для телефонов SIEMENS.
Captcha теперь работает без использования шрифтов.
Удалена папка со шрифтами (sys/fonts), размер движка сокращен на ~600Kb.
Смена группы контакта теперь производится непосредственно в привате. Группа "Корзина" в слеующих версиях движка будет удалена, вместо нее пользуйтесь удалением контакта.
Решено отказаться от использования динамической рекламы mobiads.ru в связи с отсутствием кэширования, из за чего генерация страницы многократно увеличивается.
Удалена поддержка рейтинга o5top.ru (баннер можно установить прописав код вручную в админке)
Для удаления подфорума или раздела в форуме теперь необходимо ввести число с картинки.
Исправлено добавление закладок в форуме. При обновлении страницы закладка добавлялась еще раз.
Показ новости на главной теперь отображается до ее прочтения.
Реализовано изменение текстов статей в библиотеке.
Реализовано изменение описание к файлам в обменнике.


6.7.1
Исправлено отображение закладок пользователя при перемещении темы в подфорум для администрации.
Проверка CHMOD папок теперь производится рекурсивно
Исправлен файл /lib/.htaccess
При работе с кэшем в загруз-центре добавлена функция chmod(), что устраняет задержку в отображении изменений содержимого папки.
Изменена система отправки BackUP. Данные размещаются более компактно. Исправлены некоторые ошибки при создании sql.
Блок списка теперь может быть ссылкой. Более удобная навигация в WEB теме.
В WEB тему добавлена кнопка выхода. (при выходе теперь идет перенаправление на исходную страницу)
Исправлен вывод описания к m3u плейлистам.
Реализован поиск по загруз-центру.


6.7.2
Исправлен алгоритм записи статистики сайта (Создавалось несколько одинаковых записей).
В параметры подфорума добавлен забытый пункт "Только для администрации".
При загрузке картинки через тег [img] теперь не сбрасывается авторизация в админке. Также изменен переход по внешним ссылкам.
Функция rekl() удалена.
Изменен .htaccess с целью запретить прямое скачивание шаблонов тем оформления.
В бэкап базы данных добавлено определение кодировки запросов.
Статистика сайта теперь отображается в виде графиков.
Для удаления пользователя теперь необходимо ввести проверочное число.
Реализованы забытые функции удаления/редактирования комнат чата.
Настройки теперь сохраняются в удобочитаемый файл sys/dat/settings.ini
Содержимое файла sys/dat/shif_iv.dat теперь сохраняется в значении переменной mcrypt_iv в файле sys/dat/settings.ini

6.7.3
Исправлен баг, допущеный в 6.7.2. Если использовалось шифрование при установке движка необходимо было удалять файл settings.ini
Для импорта файлов теперь не обязательно использовать cURL. Отключение в админке данной возможности приводит к тому, что файлы загружаются функцией copy().
Личное меню пользователя теперь хранится в файле sys/dat/user.menu.ini
Главное меню теперь хранится в файле sys/dat/menu.main.ini
Исправлено удаление папок и статей в библиотеке.
Решена проблема с отображением страниц при включеном сжатии обработчиком php.
Решена проблема с %20 в названиях файлов в загруз-центре.
Запрещено использовать пробел в начале и конце ника.
Изменена регулярка, проверяющая E-mail.
Исправлена установка тем из админки.

6.7.4
Исправлена ссылка на автологин, дающаяся при регистрации.
Переписаны на Smarty: файл adm_panel/banlist.php и дополнительные файлы, относящиеся к лицензии.
Устранена проблема "белого экрана" при отсутствии curl

6.7.5
Исправлено дублирование привилегий в админке.
Исправлена установка тем из админки.

6.7.6
Добавлена возможность генерации капчи при ограниченых возможностях GD.
